/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLOptionElement_H___INT_
#define __GdomHTMLOptionElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLOptionElement.h"
G_BEGIN_DECLS
class GDOMHTMLOptionElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_OPTION_ELEMENT; }
    GDOMHTMLOptionElement(PassRefPtr<WebCore::HTMLOptionElement> impl);
    WebCore::HTMLOptionElement* impl() const
    {
        return static_cast<WebCore::HTMLOptionElement*>(Base::impl());
    }
};
G_END_DECLS

#endif /* __GdomHTMLOptionElement_H___INT_*/
